core.testing / MockNetwork / MockNode

# MockNode

`class MockNode : AbstractNode`

### Constructors

<init> | `MockNode(dir: Path, config: NodeConfiguration, mockNet: MockNetwork, networkMapAddr: NodeInfo?, advertisedServices: Set<ServiceType>, id: Int)`

### Properties

id | `val id: Int`
log | `open val log: <ERROR CLASS>`
mockNet | `val mockNet: MockNetwork`
place | `val place: PhysicalLocation`
serverThread | `open val serverThread: AffinityExecutor`

### Inherited Properties

_servicesThatAcceptUploads | `val _servicesThatAcceptUploads: ArrayList<AcceptsFileUpload>`
advertisedServices | `val advertisedServices: Set<ServiceType>`
api | `lateinit var api: APIServer`
configuration | `val configuration: NodeConfiguration`
dir | `val dir: Path`
identity | `lateinit var identity: IdentityService`
inNodeNetworkMapService | `var inNodeNetworkMapService: NetworkMapService?`
inNodeTimestampingService | `var inNodeTimestampingService: NodeTimestamperService?`
info | `val info: NodeInfo`
initialNetworkMapAddress | `val initialNetworkMapAddress: NodeInfo?`
interestRatesService | `lateinit var interestRatesService: Service`
keyManagement | `lateinit var keyManagement: E2ETestKeyManagementService`
net | `lateinit var net: MessagingService`
networkMapSeq | `var networkMapSeq: Long` Sequence number of changes sent to the network map service, when registering/de-registering this node
networkMapServiceCallTimeout | `val networkMapServiceCallTimeout: Duration`
platformClock | `val platformClock: Clock`
services | `val services: ServiceHub`
servicesThatAcceptUploads | `val servicesThatAcceptUploads: List<AcceptsFileUpload>`
smm | `lateinit var smm: StateMachineManager`
storage | `lateinit var storage: StorageService`
wallet | `lateinit var wallet: WalletService`

### Functions

findMyLocation | `open fun findMyLocation(): PhysicalLocation?`
makeIdentityService | `open fun makeIdentityService(): MockIdentityService`
makeMessagingService | `open fun makeMessagingService(): MessagingService`
start | `open fun start(): MockNode`
startMessagingService | `open fun startMessagingService(): Unit`

### Inherited Functions

constructStorageService | `open fun constructStorageService(attachments: NodeAttachmentService, checkpointStorage: CheckpointStorage, keypair: KeyPair, identity: Party): StorageServiceImpl`
initialiseStorageService | `open fun initialiseStorageService(dir: Path): StorageService`
makeInterestRatesOracleService | `open fun makeInterestRatesOracleService(): Unit`
makeNetworkMapService | `open fun makeNetworkMapService(): Unit`
makeTimestampingService | `open fun makeTimestampingService(): Unit`
stop | `open fun stop(): Unit`

### Inheritors

SimulatedNode | `open class SimulatedNode : MockNode`